<?php
$tdataregion=array();
	$tdataregion[".NumberOfChars"]=80; 
	$tdataregion[".ShortName"]="region";
	$tdataregion[".OwnerID"]="";
	$tdataregion[".OriginalTable"]="region";


	
//	field labels
$fieldLabelsregion = array();
if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsregion["English"]=array();
	$fieldToolTipsregion["English"]=array();
	$fieldLabelsregion["English"]["ID"] = "ID";
	$fieldToolTipsregion["English"]["ID"] = "";
	$fieldLabelsregion["English"]["Region_Name"] = "Region Name";
	$fieldToolTipsregion["English"]["Region Name"] = "";
	$fieldLabelsregion["English"]["Description"] = "Description";
	$fieldToolTipsregion["English"]["Description"] = "";
	if (count($fieldToolTipsregion["English"])){
		$tdataregion[".isUseToolTips"]=true;
	}
}


	
	$tdataregion[".NCSearch"]=true;

	

$tdataregion[".shortTableName"] = "region";
$tdataregion[".nSecOptions"] = 0;
$tdataregion[".recsPerRowList"] = 1;	
$tdataregion[".tableGroupBy"] = "0";
$tdataregion[".mainTableOwnerID"] = "";
$tdataregion[".moveNext"] = 1;




$tdataregion[".showAddInPopup"] = false;

$tdataregion[".showEditInPopup"] = false;

$tdataregion[".showViewInPopup"] = false;


$tdataregion[".fieldsForRegister"] = array();

$tdataregion[".listAjax"] = false;

	$tdataregion[".audit"] = false;

	$tdataregion[".locking"] = false;
	
$tdataregion[".listIcons"] = true;
$tdataregion[".inlineEdit"] = true;




$tdataregion[".showSimpleSearchOptions"] = false;

$tdataregion[".showSearchPanel"] = true;


$tdataregion[".isUseAjaxSuggest"] = true;

$tdataregion[".rowHighlite"] = true;


// button handlers file names

$tdataregion[".addPageEvents"] = false;

$tdataregion[".arrKeyFields"][] = "ID";

// use datepicker for search panel
$tdataregion[".isUseCalendarForSearch"] = false;

// use timepicker for search panel
$tdataregion[".isUseTimeForSearch"] = false;

$tdataregion[".isUseiBox"] = false;




$tdataregion[".isUseInlineEdit"] = true;
$tdataregion[".isUseInlineJs"] = $tdataregion[".isUseInlineAdd"] || $tdataregion[".isUseInlineEdit"];

$tdataregion[".allSearchFields"] = array();

$tdataregion[".globSearchFields"][] = "ID";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("ID", $tdataregion[".allSearchFields"]))
{
	$tdataregion[".allSearchFields"][] = "ID";	
}
$tdataregion[".globSearchFields"][] = "Region Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region Name", $tdataregion[".allSearchFields"]))
{
	$tdataregion[".allSearchFields"][] = "Region Name";	
}
$tdataregion[".globSearchFields"][] = "Description";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Description", $tdataregion[".allSearchFields"]))
{
	$tdataregion[".allSearchFields"][] = "Description";	
}


$tdataregion[".googleLikeFields"][] = "ID";
$tdataregion[".googleLikeFields"][] = "Region Name";
$tdataregion[".googleLikeFields"][] = "Description";



$tdataregion[".advSearchFields"][] = "ID";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("ID", $tdataregion[".allSearchFields"])) 
{
	$tdataregion[".allSearchFields"][] = "ID";	
}
$tdataregion[".advSearchFields"][] = "Region Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region Name", $tdataregion[".allSearchFields"])) 
{
	$tdataregion[".allSearchFields"][] = "Region Name";	
}
$tdataregion[".advSearchFields"][] = "Description";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Description", $tdataregion[".allSearchFields"])) 
{
	$tdataregion[".allSearchFields"][] = "Description";	
}

$tdataregion[".isTableType"] = "list";


	

$tdataregion[".isDisplayLoading"] = true;

$tdataregion[".isResizeColumns"] = false;





$tdataregion[".pageSize"] = 20;

$gstrOrderBy = "";
if(strlen($gstrOrderBy) && strtolower(substr($gstrOrderBy,0,8))!="order by")
	$gstrOrderBy = "order by ".$gstrOrderBy;
$tdataregion[".strOrderBy"] = $gstrOrderBy;
	
$tdataregion[".orderindexes"] = array();

$tdataregion[".sqlHead"] = "SELECT ID,   `Region Name`,   Description";
$tdataregion[".sqlFrom"] = "FROM region";
$tdataregion[".sqlWhereExpr"] = "";
$tdataregion[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataregion[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataregion[".arrGroupsPerPage"] = $arrGPP;

	$tableKeys = array();
	$tableKeys[] = "ID";
	$tdataregion[".Keys"] = $tableKeys;

//	ID
	$fdata = array();
	$fdata["strName"] = "ID";
	$fdata["ownerTable"] = "region";
		
		
		
	$fdata["FieldType"]= 3;
	
		$fdata["AutoInc"]=true;
	
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "ID";
	
		$fdata["FullName"]= "ID";
	
		$fdata["IsRequired"]=true; 
	
		
		
		
		
				$fdata["Index"]= 1;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		
		
		
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
				$fdata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$fdata["validateAs"]["basicValidate"][] = "IsRequired";
	
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdataregion["ID"]=$fdata;
//	Region Name
	$fdata = array();
	$fdata["strName"] = "Region Name";
	$fdata["ownerTable"] = "region";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Region_Name";
	
		$fdata["FullName"]= "`Region Name`";
	
		
		
		
		
		
				$fdata["Index"]= 2;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=50";
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdataregion["Region Name"]=$fdata;
//	Description
	$fdata = array();
	$fdata["strName"] = "Description";
	$fdata["ownerTable"] = "region";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Description";
	
		$fdata["FullName"]= "Description";
	
		
		
		
		
		
				$fdata["Index"]= 3;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=50";
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdataregion["Description"]=$fdata;

	
$tables_data["region"]=&$tdataregion;
$field_labels["region"] = &$fieldLabelsregion;
$fieldToolTips["region"] = &$fieldToolTipsregion;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["region"] = array();

	
// tables which are master tables for current table (detail)
$masterTablesData["region"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










$proto69=array();
$proto69["m_strHead"] = "SELECT";
$proto69["m_strFieldList"] = "ID,   `Region Name`,   Description";
$proto69["m_strFrom"] = "FROM region";
$proto69["m_strWhere"] = "";
$proto69["m_strOrderBy"] = "";
$proto69["m_strTail"] = "";
$proto70=array();
$proto70["m_sql"] = "";
$proto70["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto70["m_column"]=$obj;
$proto70["m_contained"] = array();
$proto70["m_strCase"] = "";
$proto70["m_havingmode"] = "0";
$proto70["m_inBrackets"] = "0";
$proto70["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto70);

$proto69["m_where"] = $obj;
$proto72=array();
$proto72["m_sql"] = "";
$proto72["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto72["m_column"]=$obj;
$proto72["m_contained"] = array();
$proto72["m_strCase"] = "";
$proto72["m_havingmode"] = "0";
$proto72["m_inBrackets"] = "0";
$proto72["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto72);

$proto69["m_having"] = $obj;
$proto69["m_fieldlist"] = array();
						$proto74=array();
			$obj = new SQLField(array(
	"m_strName" => "ID",
	"m_strTable" => "region"
));

$proto74["m_expr"]=$obj;
$proto74["m_alias"] = "";
$obj = new SQLFieldListItem($proto74);

$proto69["m_fieldlist"][]=$obj;
						$proto76=array();
			$obj = new SQLField(array(
	"m_strName" => "Region Name",
	"m_strTable" => "region"
));

$proto76["m_expr"]=$obj;
$proto76["m_alias"] = "";
$obj = new SQLFieldListItem($proto76);

$proto69["m_fieldlist"][]=$obj;
						$proto78=array();
			$obj = new SQLField(array(
	"m_strName" => "Description",
	"m_strTable" => "region"
));

$proto78["m_expr"]=$obj;
$proto78["m_alias"] = "";
$obj = new SQLFieldListItem($proto78);

$proto69["m_fieldlist"][]=$obj;
$proto69["m_fromlist"] = array();
												$proto80=array();
$proto80["m_link"] = "SQLL_MAIN";
			$proto81=array();
$proto81["m_strName"] = "region";
$proto81["m_columns"] = array();
$proto81["m_columns"][] = "ID";
$proto81["m_columns"][] = "Region Name";
$proto81["m_columns"][] = "Description";
$obj = new SQLTable($proto81);

$proto80["m_table"] = $obj;
$proto80["m_alias"] = "";
$proto82=array();
$proto82["m_sql"] = "";
$proto82["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto82["m_column"]=$obj;
$proto82["m_contained"] = array();
$proto82["m_strCase"] = "";
$proto82["m_havingmode"] = "0";
$proto82["m_inBrackets"] = "0";
$proto82["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto82);

$proto80["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto80);

$proto69["m_fromlist"][]=$obj;
$proto69["m_groupby"] = array();
$proto69["m_orderby"] = array();
$obj = new SQLQuery($proto69);

$queryData_region = $obj;
$tdataregion[".sqlquery"] = $queryData_region;

$tableEvents["region"] = new eventsBase;

?>
